// ===================================================================
//
// CBP_3352_Braitenberg_Light.c
//
// 13-03-21
// Controller for Braitenberg Vehicle using Boebot with explicit
// adding of lightSensor nodes
// 15-03-21 RELEASE
//
// ==================================================================

#include <webots/robot.h>
#include <webots/motor.h> 
#include <stdio.h>
#include <webots/light_sensor.h>

#include "CBP_3352_Helper_1.h"

#define TIME_STEP 32
#define WHEEL_RADIUS 0.0205
#define AXLE_LENGTH 0.053
#define MAX_SPEED 6.28
#define PI 3.14159265358979

WbDeviceTag left_motor, right_motor;
WbDeviceTag tag_left1, tag_right1;

void deviceInit() {
 // get a handler to the motors and set target position to infinity (speed control).
  left_motor = wb_robot_get_device("left wheel motor");
  right_motor = wb_robot_get_device("right wheel motor");
  wb_motor_set_position(left_motor, INFINITY);
  wb_motor_set_position(right_motor, INFINITY);
  wb_motor_set_velocity(left_motor, 0.0);
  wb_motor_set_velocity(right_motor, 0.0);

  tag_left1 = wb_robot_get_device("left1");
  wb_light_sensor_enable(tag_left1, TIME_STEP); 
  tag_right1 = wb_robot_get_device("right1");
  wb_light_sensor_enable(tag_right1, TIME_STEP); 
       
  }  


int main(int argc, char **argv) {

  double omegaL, omegaR;
  double leftEyeVal, rightEyeVal;
  double leftIntens, rightIntens;
  double driveL, driveR;
  
  wb_robot_init();

  deviceInit();

  while (wb_robot_step(TIME_STEP) != -1) {
          
    leftEyeVal = wb_light_sensor_get_value(tag_left1);    
    rightEyeVal = wb_light_sensor_get_value(tag_right1);    

    leftIntens = invertLightSensorVals(leftEyeVal);
    rightIntens = invertLightSensorVals(rightEyeVal);
        

	// Add code here
    
	// Modify these lines
    omegaL = 0;
    omegaR = 0;    
   
    wb_motor_set_velocity(left_motor,  omegaL);
    wb_motor_set_velocity(right_motor, omegaR);

  };

  wb_robot_cleanup();

  return 0;
}
